ch.qos.logback.classic.spi

## Interface Configurator

All Superinterfaces:
  ContextAware

    public interface Configurator
    extends ContextAware

Allows programmatic initialization and configuration of Logback. The ServiceLoader is typically used to instantiate implementations and thus implementations will need to follow the guidelines of the ServiceLoader specifically a no-arg constructor is required.

### Method Summary

Methods
`void` `configure(LoggerContext loggerContext)` The context will also be set before this method is called via `ContextAware.setContext(ch.qos.logback.core.Context)`.

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Method Detail

#### configure

    void configure(LoggerContext loggerContext)

The context will also be set before this method is called via `ContextAware.setContext(ch.qos.logback.core.Context)`.